> For the complete documentation index, see [llms.txt](https://docs.stevoscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stevoscripts.com/stevo-lib/stevo_lib/functions/client-functions.md).

# Client Functions

## Notify

Triggers the configured notification\
\
Example Usage:

```lua
stevo_lib.Notify('Today is beautiful!', 'info', 3000)
```

## IsDead

Returns the players death state.\
\
Example Usage:

```lua
local IsDead = stevo_lib.IsDead()

if not IsDead then 
    print('You are alive!')
end
```

## GetPlayerGroups

Returns the players job/gang roles\
\
Example Usage:

```lua
local job, gang = stevo_lib.GetPlayerGroups()
local ped = PlayerPedId()
local job_auth = false

    
for _, group in pairs(Config.job_names) do    
   if group == job then 
      job_auth = true
   end
end

if not job_auth then 
   stevo_lib.Notify('You are not police!', 'error', 3000)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stevoscripts.com/stevo-lib/stevo_lib/functions/client-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
